commit 49a924bc953189c327a23456e7d379845f209107
Author: Helga Velroyen <helgav@google.com>
Date:   Tue Jul 9 18:41:10 2013 +0200

    Remove ENABLE_FILE_STORAGE completely
    
    This patch removes the ENABLE_FILE_STORAGE completely
    from the remaining files, such as Makefile, configure,
    constants, pathutils and objects.
    
    Signed-off-by: Helga Velroyen <helgav@google.com>
    Reviewed-by: Klaus Aehlig <aehlig@google.com>

diff --git a/Makefile.am b/Makefile.am
index 7397c34..917cf75 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1577,7 +1577,6 @@ lib/_autoconf.py: Makefile | stamp-directories
 	  echo "XEN_INITRD = '$(XEN_INITRD)'"; \
 	  echo "KVM_KERNEL = '$(KVM_KERNEL)'"; \
 	  echo "FILE_STORAGE_DIR = '$(FILE_STORAGE_DIR)'"; \
-	  echo "ENABLE_FILE_STORAGE = $(ENABLE_FILE_STORAGE)"; \
 	  echo "SHARED_FILE_STORAGE_DIR = '$(SHARED_FILE_STORAGE_DIR)'"; \
 	  echo "ENABLE_SHARED_FILE_STORAGE = $(ENABLE_SHARED_FILE_STORAGE)"; \
 	  echo "IALLOCATOR_SEARCH_PATH = [$(IALLOCATOR_SEARCH_PATH)]"; \
@@ -1677,7 +1676,6 @@ $(REPLACE_VARS_SED): $(SHELL_ENV_INIT) Makefile stamp-directories
 	  echo 's#@''CUSTOM_XEN_INITRD@#$(XEN_INITRD)#g'; \
 	  echo 's#@''CUSTOM_IALLOCATOR_SEARCH_PATH@#$(IALLOCATOR_SEARCH_PATH)#g'; \
 	  echo 's#@''CUSTOM_EXPORT_DIR@#$(EXPORT_DIR)#g'; \
-	  echo 's#@''RPL_FILE_STORAGE_DIR@#$(FILE_STORAGE_DIR)#g'; \
 	  echo 's#@''RPL_SSH_INITD_SCRIPT@#$(SSH_INITD_SCRIPT)#g'; \
 	  echo 's#@''PKGLIBDIR@#$(pkglibdir)#g'; \
 	  echo 's#@''GNTMASTERUSER@#$(MASTERD_USER)#g'; \
diff --git a/configure.ac b/configure.ac
index 65fb83c..32430a3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -134,17 +134,8 @@ AC_ARG_WITH([file-storage-dir],
     [directory to store files for file-based backend]
     [ (default is /srv/ganeti/file-storage)]
   )],
-  [[file_storage_dir="$withval";
-    if test "$withval" != no; then
-      enable_file_storage=True
-    else
-      enable_file_storage=False
-    fi
-  ]],
-  [[file_storage_dir="/srv/ganeti/file-storage";
-    enable_file_storage=True]])
+  [[file_storage_dir="/srv/ganeti/file-storage"]])
 AC_SUBST(FILE_STORAGE_DIR, $file_storage_dir)
-AC_SUBST(ENABLE_FILE_STORAGE, $enable_file_storage)
 
 # --with-shared-file-storage-dir=...
 AC_ARG_WITH([shared-file-storage-dir],
diff --git a/lib/constants.py b/lib/constants.py
index 8844791..78fc169 100644
--- a/lib/constants.py
+++ b/lib/constants.py
@@ -143,7 +143,6 @@ RUN_DIRS_MODE = 0775
 SECURE_DIR_MODE = 0700
 SECURE_FILE_MODE = 0600
 ADOPTABLE_BLOCKDEV_ROOT = "/dev/disk/"
-ENABLE_FILE_STORAGE = _autoconf.ENABLE_FILE_STORAGE
 ENABLE_SHARED_FILE_STORAGE = _autoconf.ENABLE_SHARED_FILE_STORAGE
 ENABLE_CONFD = _autoconf.ENABLE_CONFD
 ENABLE_MOND = _autoconf.ENABLE_MOND
diff --git a/lib/objects.py b/lib/objects.py
index fdd2dbd..6105595 100644
--- a/lib/objects.py
+++ b/lib/objects.py
@@ -470,10 +470,8 @@ class ConfigData(ConfigObject):
         template_set.add(constants.DT_DRBD8)
         template_set.add(constants.DT_PLAIN)
       # FIXME: Adapt this when dis/enabling at configure time is removed.
-      # Enable 'file' and 'sharedfile', if they are enabled, even though they
-      # might currently not be used.
-      if constants.ENABLE_FILE_STORAGE:
-        template_set.add(constants.DT_FILE)
+      # Enable 'sharedfile', if they are enabled, even though they might
+      # currently not be used.
       if constants.ENABLE_SHARED_FILE_STORAGE:
         template_set.add(constants.DT_SHARED_FILE)
       # Set enabled_disk_templates to the inferred disk templates. Order them
diff --git a/lib/pathutils.py b/lib/pathutils.py
index 48ea3fb..c8e6d8e 100644
--- a/lib/pathutils.py
+++ b/lib/pathutils.py
@@ -32,10 +32,11 @@ from ganeti import vcluster
 DEFAULT_FILE_STORAGE_DIR = "/srv/ganeti/file-storage"
 
 # Build-time constants
-if _autoconf.ENABLE_FILE_STORAGE:
-  DEFAULT_FILE_STORAGE_DIR = vcluster.AddNodePrefix(_autoconf.FILE_STORAGE_DIR)
-else:
+# FIXME: remove autoconf storage dir
+if _autoconf.FILE_STORAGE_DIR:
   DEFAULT_FILE_STORAGE_DIR = _autoconf.FILE_STORAGE_DIR
+DEFAULT_FILE_STORAGE_DIR = vcluster.AddNodePrefix(DEFAULT_FILE_STORAGE_DIR)
+
 if _autoconf.ENABLE_SHARED_FILE_STORAGE:
   DEFAULT_SHARED_FILE_STORAGE_DIR = \
     vcluster.AddNodePrefix(_autoconf.SHARED_FILE_STORAGE_DIR)
diff --git a/man/gnt-backup.rst b/man/gnt-backup.rst
index a17dc51..409b955 100644
--- a/man/gnt-backup.rst
+++ b/man/gnt-backup.rst
@@ -180,10 +180,10 @@ drbd
     Disk devices will be drbd (version 8.x) on top of lvm volumes.
 
 file
-    Disk devices will be backed up by files, under the directory
-    ``@RPL_FILE_STORAGE_DIR@``. By default, each instance will get a
-    directory (as its own name) under this path, and each disk is
-    stored as individual files in this (instance-specific) directory.
+    Disk devices will be backed up by files, under the cluster's
+    default file storage directory. By default, each instance will
+    get a directory (as its own name) under this path, and each disk
+    is stored as individual files in this (instance-specific) directory.
 
 
 The ``--iallocator`` option specifies the instance allocator plugin
diff --git a/man/gnt-instance.rst b/man/gnt-instance.rst
index a6e8fa8..cd60ee9 100644
--- a/man/gnt-instance.rst
+++ b/man/gnt-instance.rst
@@ -805,9 +805,8 @@ cluster-wide file storage directory to store file-based disks. It is
 useful for having different subdirectories for different
 instances. The full path of the directory where the disk files are
 stored will consist of cluster-wide file storage directory + optional
-subdirectory + instance name. Example:
-``@RPL_FILE_STORAGE_DIR@/mysubdir/instance1.example.com``. This
-option is only relevant for instances using the file storage backend.
+subdirectory + instance name. This option is only relevant for
+instances using the file storage backend.
 
 The ``--file-driver`` specifies the driver to use for file-based
 disks. Note that currently these drivers work with the xen hypervisor
